#include "xgfxlightdef.h"

XGfxLightDef::XGfxLightDef()
    : XAsset()
    , mName(new XString())
    , mAttenuation(new XGfxLightImage())
    , mLmapLookupStart(0)
{
    
}

XGfxLightDef::~XGfxLightDef()
{
    delete mName;
    delete mAttenuation;
}

void XGfxLightDef::Clear()
{
    mName->Clear();
    mAttenuation->Clear();
    mLmapLookupStart = 0;
}

void XGfxLightDef::ParseData(QDataStream *aStream)
{
    mName->ParsePtr(aStream, false);
    mAttenuation->ParseData(aStream);
    *aStream >> mLmapLookupStart;

    mName->ParseData(aStream);

    //mAttenuation->
}
